Bug 1303829 - [feat] Compound translator
Summary: [feat] Compound translator
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: 3.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anuradha
QA Contact:
URL:
Whiteboard:
Depends On: 1328502
Blocks: glusterfs-3.8.0
TreeView+ depends on / blocked
 
Reported: 2016-02-02 07:09 UTC by Anuradha
Modified: 2016-09-20 02:01 UTC (History)
3 users (show)

Fixed In Version: glusterfs-3.8rc2
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-16 13:56:34 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Anuradha 2016-02-02 07:09:44 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Vijay Bellur 2016-02-02 07:15:42 UTC
REVIEW: http://review.gluster.org/13331 (rpc : added structures to support compound fops) posted (#1) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 2 Vijay Bellur 2016-02-05 05:31:56 UTC
REVIEW: http://review.gluster.org/13360 (libglusterfs: Refactor packing of arguments) posted (#1) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 3 Vijay Bellur 2016-02-15 04:40:32 UTC
REVIEW: http://review.gluster.org/13331 (rpc : added structures to support compound fops) posted (#2) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 4 Vijay Bellur 2016-03-02 09:48:42 UTC
REVIEW: http://review.gluster.org/13331 (rpc : added structures to support compound fops) posted (#3) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 5 Vijay Bellur 2016-03-02 10:15:18 UTC
REVIEW: http://review.gluster.org/13360 (libglusterfs: Refactor packing of arguments) posted (#2) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 6 Mike McCune 2016-03-28 22:17:27 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 7 Vijay Bellur 2016-04-05 05:18:13 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder :) posted (#2) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 8 Vijay Bellur 2016-04-05 05:35:15 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder :) posted (#3) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 9 Vijay Bellur 2016-04-05 06:16:48 UTC
REVIEW: http://review.gluster.org/13360 (libglusterfs: Refactor packing of arguments) posted (#3) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 10 Vijay Bellur 2016-04-05 09:06:38 UTC
REVIEW: http://review.gluster.org/13360 (libglusterfs: Refactor packing of arguments) posted (#4) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 11 Vijay Bellur 2016-04-09 18:44:35 UTC
COMMIT: http://review.gluster.org/13360 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 5ff451beecaf564b4f854b10e63a307e40660c8c
Author: Anuradha Talur <atalur@redhat.com>
Date:   Fri Feb 5 10:45:37 2016 +0530

    libglusterfs: Refactor packing of arguments
    
    Added these changes so that they can be re-used to pack
    arguments required for each fop while populating the
    compound fop structure used by each xlator.
    
    Change-Id: Id9923e10003adafbc16a8bf3fbefa30677847313
    BUG: 1303829
    Signed-off-by: Anuradha Talur <atalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13360
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Reviewed-by: Ashish Pandey <aspandey@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 12 Vijay Bellur 2016-04-11 10:33:31 UTC
REVIEW: http://review.gluster.org/13963 (protocol/client : Refactoring functions) posted (#1) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 13 Vijay Bellur 2016-04-11 12:05:59 UTC
REVIEW: http://review.gluster.org/13968 (performance/decompounder: Add graph for decompounder xlator) posted (#1) for review on master by Ashish Pandey (aspandey@redhat.com)

Comment 14 Vijay Bellur 2016-04-12 07:09:43 UTC
REVIEW: http://review.gluster.org/13963 (protocol/client : Refactoring functions) posted (#2) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 15 Vijay Bellur 2016-04-12 07:20:48 UTC
REVIEW: http://review.gluster.org/13331 (rpc : added structures to support compound fops) posted (#4) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 16 Vijay Bellur 2016-04-12 09:26:29 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder :) posted (#4) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 17 Vijay Bellur 2016-04-12 10:09:05 UTC
REVIEW: http://review.gluster.org/13968 (performance/decompounder: Add graph for decompounder xlator) posted (#2) for review on master by Ashish Pandey (aspandey@redhat.com)

Comment 18 Vijay Bellur 2016-04-13 06:16:31 UTC
REVIEW: http://review.gluster.org/13331 (rpc : added structures to support compound fops) posted (#5) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 19 Vijay Bellur 2016-04-13 06:22:42 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder :) posted (#5) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 20 Vijay Bellur 2016-04-13 06:28:37 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder :) posted (#6) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 21 Vijay Bellur 2016-04-15 07:05:56 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder: Introducing decompounder xlator) posted (#7) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 22 Vijay Bellur 2016-04-15 09:31:39 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder: Introducing decompounder xlator) posted (#8) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 23 Vijay Bellur 2016-04-19 16:33:23 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#6) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 24 Vijay Bellur 2016-04-19 20:21:00 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder: Introducing decompounder xlator) posted (#9) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 25 Vijay Bellur 2016-04-19 21:07:41 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#7) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 26 Vijay Bellur 2016-04-19 21:16:34 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#8) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 27 Vijay Bellur 2016-04-21 11:51:53 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder: Introducing decompounder xlator) posted (#10) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 28 Vijay Bellur 2016-04-21 14:58:11 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#9) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 29 Vijay Bellur 2016-04-21 16:02:01 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#10) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 30 Vijay Bellur 2016-04-21 16:18:21 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#11) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 31 Vijay Bellur 2016-04-21 18:02:36 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#12) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 32 Vijay Bellur 2016-04-22 02:51:20 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder: Introducing decompounder xlator) posted (#11) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 33 Vijay Bellur 2016-04-22 09:26:41 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder: Introducing decompounder xlator) posted (#12) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 34 Vijay Bellur 2016-04-25 20:12:45 UTC
REVIEW: http://review.gluster.org/13577 (performance/decompounder: Introducing decompounder xlator) posted (#13) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 35 Vijay Bellur 2016-04-26 06:47:31 UTC
COMMIT: http://review.gluster.org/13577 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 9996f95b28b3782887b7c233cdc0ba686c38b245
Author: Anuradha Talur <atalur@redhat.com>
Date:   Thu Apr 21 17:20:09 2016 +0530

    performance/decompounder: Introducing decompounder xlator
    
    This xlator decompounds the compound fops received,
    and executes them serially.
    
    Change-Id: Ieddcec3c2983dd9ca7919ba9d7ecaa5192a5f489
    BUG: 1303829
    Signed-off-by: Anuradha Talur <atalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13577
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 36 Vijay Bellur 2016-04-26 09:42:54 UTC
REVIEW: http://review.gluster.org/13694 (libglusterfs : packing functions for compound fops) posted (#2) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 37 Vijay Bellur 2016-04-26 15:12:21 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#13) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 38 Vijay Bellur 2016-04-26 18:10:16 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#14) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 39 Vijay Bellur 2016-04-27 12:57:46 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#15) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 40 Vijay Bellur 2016-04-28 04:01:57 UTC
REVIEW: http://review.gluster.org/13963 (protocol/client : Refactoring functions) posted (#4) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 41 Vijay Bellur 2016-04-28 08:33:28 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#16) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 42 Vijay Bellur 2016-04-29 10:36:20 UTC
REVIEW: http://review.gluster.org/13694 (libglusterfs : packing functions for compound fops) posted (#3) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 43 Vijay Bellur 2016-04-29 10:38:15 UTC
REVIEW: http://review.gluster.org/13963 (protocol/client : Refactoring functions) posted (#5) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 44 Vijay Bellur 2016-04-29 10:58:53 UTC
REVIEW: http://review.gluster.org/14114 (protocol/client : Implementation of compound fop) posted (#1) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 45 Vijay Bellur 2016-04-29 11:03:47 UTC
REVIEW: http://review.gluster.org/14114 (protocol/client : Implementation of compound fop) posted (#2) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 46 Vijay Bellur 2016-04-29 14:14:31 UTC
REVIEW: http://review.gluster.org/13694 (libglusterfs : packing functions for compound fops) posted (#4) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 47 Vijay Bellur 2016-04-29 14:14:34 UTC
REVIEW: http://review.gluster.org/13331 (rpc: added structures to support compound fops) posted (#17) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 48 Vijay Bellur 2016-04-29 15:59:57 UTC
REVIEW: http://review.gluster.org/14114 (protocol/client : Implementation of compound fop) posted (#3) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 49 Vijay Bellur 2016-04-29 17:48:53 UTC
REVIEW: http://review.gluster.org/13963 (protocol/client : Refactoring functions) posted (#6) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 50 Vijay Bellur 2016-04-30 01:24:06 UTC
COMMIT: http://review.gluster.org/13331 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 87de08fdb404492ee090a15fe75aedc17a5ac0b8
Author: Anuradha Talur <atalur@redhat.com>
Date:   Mon Feb 1 11:12:00 2016 +0530

    rpc: added structures to support compound fops
    
    Change-Id: Ida81e7b3145fb09afa37353244ff8721a4dc4c6a
    BUG: 1303829
    Signed-off-by: Anuradha Talur <atalur@redhat.com>
    [ndevos: move definitions around to align with changes for bug 1328502]
    Reviewed-on: http://review.gluster.org/13331
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: soumya k <skoduri@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 51 Vijay Bellur 2016-04-30 01:24:16 UTC
COMMIT: http://review.gluster.org/13694 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit ae9d39890fc9a7bcd696cb441c4f3b2eb9677379
Author: Anuradha Talur <atalur@redhat.com>
Date:   Fri Apr 29 19:42:37 2016 +0530

    libglusterfs : packing functions for compound fops
    
    Any xlator that wants to compound fops together can
    use these apis to get the job done.
    
    Change-Id: Ic40fceafecafe70173fd469060e834314826a92c
    BUG: 1303829
    Signed-off-by: Anuradha Talur <atalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13694
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 52 Vijay Bellur 2016-04-30 02:23:23 UTC
REVIEW: http://review.gluster.org/13963 (protocol/client : Refactoring functions) posted (#7) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 53 Vijay Bellur 2016-04-30 06:43:54 UTC
REVIEW: http://review.gluster.org/14114 (protocol/client : Implementation of compound fop) posted (#4) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 54 Vijay Bellur 2016-04-30 07:12:48 UTC
REVIEW: http://review.gluster.org/14114 (protocol/client : Implementation of compound fop) posted (#5) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 55 Vijay Bellur 2016-04-30 07:14:47 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server: Implementation of compound fop) posted (#1) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 56 Vijay Bellur 2016-04-30 10:46:09 UTC
REVIEW: http://review.gluster.org/13963 (protocol/client : Refactoring functions) posted (#8) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 57 Vijay Bellur 2016-04-30 16:21:49 UTC
REVIEW: http://review.gluster.org/14114 (protocol/client : Implementation of compound fop) posted (#6) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 58 Vijay Bellur 2016-04-30 16:32:23 UTC
REVIEW: http://review.gluster.org/14114 (protocol/client : Implementation of compound fop) posted (#7) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 59 Vijay Bellur 2016-05-01 00:21:10 UTC
COMMIT: http://review.gluster.org/13963 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 93eaeb9c93be3232f24e840044d560f9f0e66f71
Author: Anuradha Talur <atalur@redhat.com>
Date:   Wed Apr 27 15:32:16 2016 +0530

    protocol/client : Refactoring functions
    
    These changes are made to accommodate compound fops.
    The new functions that are added pack
    the arguments required to perform the fops.
    These will be used both by normal fops and compound ones.
    
    Change-Id: I44d9cef8ff1d33aa2f5661689c8e9386d87b2007
    BUG: 1303829
    Signed-off-by: Anuradha Talur <atalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13963
    Tested-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 60 Vijay Bellur 2016-05-01 00:47:50 UTC
COMMIT: http://review.gluster.org/14114 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 45fa52d798298623757867c1936045231f0d0af7
Author: Anuradha Talur <atalur@redhat.com>
Date:   Fri Apr 29 16:12:10 2016 +0530

    protocol/client : Implementation of compound fop
    
    Change-Id: Iade71daf3bc70e60833d693ac55151c9cf691381
    BUG: 1303829
    Signed-off-by: Anuradha Talur <atalur@redhat.com>
    Reviewed-on: http://review.gluster.org/14114
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 61 Vijay Bellur 2016-05-01 02:53:55 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#2) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 62 Vijay Bellur 2016-05-01 03:14:14 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#3) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 63 Vijay Bellur 2016-05-01 07:19:22 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#4) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 64 Vijay Bellur 2016-05-01 07:56:54 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#5) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 65 Vijay Bellur 2016-05-01 08:11:16 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#6) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 66 Vijay Bellur 2016-05-01 08:26:06 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#7) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 67 Vijay Bellur 2016-05-01 08:32:19 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#8) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 68 Vijay Bellur 2016-05-01 08:39:03 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#9) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 69 Vijay Bellur 2016-05-01 11:20:57 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#10) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 70 Vijay Bellur 2016-05-01 14:37:55 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#11) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 71 Vijay Bellur 2016-05-01 17:08:56 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#12) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 72 Vijay Bellur 2016-05-01 17:22:23 UTC
REVIEW: http://review.gluster.org/14125 (protocol/server : Implementation of compound fop) posted (#13) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 73 Vijay Bellur 2016-05-01 19:11:33 UTC
REVIEW: http://review.gluster.org/14137 (protocol/server: Implementation of compound fop) posted (#1) for review on master by Anuradha Talur (atalur@redhat.com)

Comment 74 Vijay Bellur 2016-05-02 01:05:40 UTC
COMMIT: http://review.gluster.org/14137 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 60e340481ad5496e920722e8267572fa26cf2822
Author: Anuradha Talur <atalur@redhat.com>
Date:   Mon May 2 00:36:30 2016 +0530

    protocol/server: Implementation of compound fop
    
    Change-Id: I981258afa527337dd2ad33eecba7fc8084238e6d
    BUG: 1303829
    Signed-off-by: Anuradha Talur <atalur@redhat.com>
    Reviewed-on: http://review.gluster.org/14137
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 75 Vijay Bellur 2016-05-02 05:08:35 UTC
REVIEW: http://review.gluster.org/13968 (performance/decompounder: Add graph for decompounder xlator) posted (#3) for review on master by Ashish Pandey (aspandey@redhat.com)

Comment 76 Niels de Vos 2016-06-16 13:56:34 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.